// Ex0205: スイッチ(無線WiFi)とLED
#include <WiFi.h>
#include <ESPUI.h>

// LEDの設定
const int LED_PIN = 2;

// WiFiの設定
const char *ssid = "jj7-"; // 各自のSSIDを入力
const char *password = "12345678";
const IPAddress ip(192, 168, 4, 1);
const IPAddress subnet(255, 255, 255, 0);

// 画面(ボタンの応答)
void buttonCallback(Control sender, int type) {
  switch (type) {
    case B_DOWN:
      digitalWrite(LED_PIN, HIGH);
      break;
    case B_UP:
      digitalWrite(LED_PIN, LOW);
      break;
  }
}

void setup() {
  // LEDの設定
  pinMode(LED_PIN, OUTPUT);

  // WiFiの設定
  WiFi.disconnect(true);
  delay(1000);
  WiFi.softAP(ssid, password);
  delay(100);
  WiFi.softAPConfig(ip, ip, subnet);
  IPAddress myIP = WiFi.softAPIP();

  // 画面の設定
  ESPUI.button("Push Button", &buttonCallback, COLOR_PETERRIVER, "Push");
  ESPUI.begin("スイッチとLED");
}

void loop() {
}
